Page 1 of 1

gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 9:18 am
by bakerjp1
I have just installed Jacket with a temporary license on a Windows XP machine. I've installed the latest NVIDIA drivers and CUDA 4.0, but I keep getting this error message when I run gactivate:

Is Jacket gpu_entry.mex file found? .... OK
Is the driver version correct? .... FAILED
Is jlicense.dat license file found? .... OK

JACKET FAILED TO ACTIVATE PROPERLY.
??? Error using ==> gactivate at 104
Invalid CUDA driver version: expected 4.0, found 3.2

I don't know where gactivate is looking for the CUDA version, but evidently it is looking in the wrong place, as I have installed CUDA 4.0.

Any help is appreciated!

- John

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 11:58 am
by pavanky
Hi baker,

CAn you tell us what gpu you have and the driver version you are using ?

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 12:07 pm
by bakerjp1
I'm trying this out on a laptop with a NVIDIA Quadro NVS 160M. Driver Version 6.14.12.6658.

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 12:18 pm
by jaideep
CUDA 4.0 requires 275.xx or newer drivers for notebook GPUs as mentioned on http://developer.nvidia.com/cuda-toolkit-40 page. Your driver is 266.xx. Please upgrade to a newer version from http://www.nvidia.com/Download/index.aspx?lang=en-us and try gactivate. Please post your results here.

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 12:43 pm
by bakerjp1
Unfortunately, NVIDIA doesn't offer a driver with 275 or above for the Quadro NVS 160M. The latest drivers are shown below (I have the 266, but even the beta is only 267). Does this mean the the 160M is not supported by the latest Jacket version?

Name Version Release Date
Verde Driver v267.24 BETA 267.24 March 1, 2011
Verde Driver v266.58 WHQL 266.58 January 18, 2011

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 1:20 pm
by pavanky
Hi baker,

From what we know, you can install the 275 driver and you should not have any problems. If you do, please let us know.

--
Pavan

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 3:48 pm
by bakerjp1
Sorry, but when I attempt to install more recent Quadro drivers (e.g. 275.36), I get the message,

"This graphics driver could not find compatible graphics hardware."

So, it would seem that if I'm going to do GPU processing, I'll need to buy an external graphics processor. If you have a suggestion on a specific NVIDIA driver version I should try with my current Quadro NVS 160M, I'll give it a shot!

- John

Re: gactivate failure: Invalid CUDA driver version

PostPosted: Fri Feb 24, 2012 4:59 pm
by pavanky
Baker,

I am not sure if we can get an *external graphics card* working with a laptop. It looks like the limitation is with windows xp, not the hardware.
You could choose to install windows 7 or a distribution of linux (both of which support the latest drivers).

That said, considering that the gpu is a bit older, the speedups you may see on this particular card may not be too great compared to the cpu.